<?php
	if ( !defined('IN_MFA') )
		die("Hacking attempt");
	
	$user->DieNotValid();
	
	if(IsSet($_POST['numfiles']))
	{
		$objectlist = "";
		for($i = 0;$i < $_POST['numfiles'];$i++)
		{
			if(strlen($objectlist) > 0) $objectlist .= ";;";
			$par = "fileselect".$i;
			if(IsSet($_POST[$par])) $objectlist .= $_POST[$par];
		}
		header("location: index.php?mode=".$_POST['selmode']."&dir=".$_GET['dir']."&object=".$objectlist);
	}
	else
		header("location: index.php?dir=".$_GET['dir']);
?>